<?xml version="1.0" encoding="UTF-8"?>
<VW_COM_PROFILE desc_thai="ทะเบียนข้อบังคับ" desc_eng="Procedure Table" verify="E" editcheck="false" mainhelp="MCOM_PROFILEHELP" referhelp="MCOM_PROFILEHELP" mainkey="EMPLOYEEID" fieldsystem="" protype="view" deleteflag="false" config_field="">
	<FIELD>

		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company ID</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company ID</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
		<PROFILEID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>5</WIDTH>
			<RELATION>MCOM_PROFILE</RELATION>
			<DESC_ENG>Procedure Code</DESC_ENG>
			<DESC_THAI>รหัสข้อบังคับ</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Procedure Code</ALT_ENG>
				<ALT_THAI>รหัสข้อบังคับ</ALT_THAI>
			</COMPONENT>
		</PROFILEID>

		<PROCGRPID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPROCEDUREGRP</RELATION>
			<DESC_ENG>Group ID</DESC_ENG>
			<DESC_THAI>รหัสกลุ่ม</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>กลุ่ม</ALT_THAI>
				<ALT_ENG>Group</ALT_ENG>
			</COMPONENT>
		</PROCGRPID>
		<PROCEDURETYPEID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>MPROCEDURETYPE</RELATION>
			<DESC_ENG>Procedure Type</DESC_ENG>
			<DESC_THAI>ประเภท</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_THAI>ประเภท</ALT_THAI>
				<ALT_ENG>Procedure Type</ALT_ENG>
			</COMPONENT>
		</PROCEDURETYPEID>

		<GROUP_TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>GROUP_EDESC</REFER_LANG>
			<DESC_ENG>Group Desc. (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียดกลุ่ม(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>70</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<DISABLE>false</DISABLE>
				<ALT_THAI>รายละเอียดกลุ่ม(ไทย)</ALT_THAI>
				<ALT_ENG>Group Desc. (Thai)</ALT_ENG>
			</COMPONENT>
		</GROUP_TDESC>
		<GROUP_EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>GROUP_TDESC</REFER_LANG>
			<DESC_ENG>Group Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียดกลุ่ม(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>70</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>รายละเอียดกลุ่ม(อังกฤษ)</ALT_THAI>
				<ALT_ENG>Group Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
		</GROUP_EDESC>

		<TYPE_TDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TYPE_EDESC</REFER_LANG>
			<DESC_ENG>Type . (Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียดประเภท(ไทย)</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>70</SIZE>
				<ALT_THAI>รายละเอียดประเภท(ไทย)</ALT_THAI>
				<ALT_ENG>Type Desc. (Thai)</ALT_ENG>
			</COMPONENT>
		</TYPE_TDESC>
		<TYPE_EDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<REFER_LANG>TYPE_TDESC</REFER_LANG>
			<DESC_ENG>Type Desc. (Eng.)</DESC_ENG>
			<DESC_THAI>รายละเอียดประเภท(อังกฤษ)</DESC_THAI>
			<COMPONENT type="text">
				<SIZE>70</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_THAI>รายละเอียดประเภท(อังกฤษ)</ALT_THAI>
				<ALT_ENG>Type Desc. (Eng.)</ALT_ENG>
			</COMPONENT>
		</TYPE_EDESC>


		<TOPICTDESC lang="T" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Topic</DESC_ENG>
			<DESC_THAI>หัวข้อ</DESC_THAI>
			<REFER_LANG>TOPICEDESC</REFER_LANG>
			<COMPONENT type="text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Topic</ALT_ENG>
				<ALT_THAI>หัวข้อ</ALT_THAI>
			</COMPONENT>
		</TOPICTDESC>
		<TOPICEDESC lang="E" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Topic (Eng.)</DESC_ENG>
			<DESC_THAI>หัวข้อ (ภาษาอังกฤษ)</DESC_THAI>
			<REFER_LANG>TOPICTDESC</REFER_LANG>
			<COMPONENT type="text">
				<SIZE>50</SIZE>
				<MAXSIZE>100</MAXSIZE>
				<ALT_ENG>Topic (Eng.)</ALT_ENG>
				<ALT_THAI>หัวข้อ (ภาษาอังกฤษ)</ALT_THAI>
			</COMPONENT>
		</TOPICEDESC>

		<PROFILETYPE lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Profile tyape</DESC_ENG>
			<DESC_THAI>ประเภทข้อมูล</DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<VALIDCODE>PROFILETYPE</VALIDCODE>
				<ALT_ENG>Profile type</ALT_ENG>
				<ALT_THAI>ประเภทข้อมูล</ALT_THAI>
			</COMPONENT>
		</PROFILETYPE>
		<ISDISPLAY lang="A" encrypt="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Display on first page</DESC_ENG>
			<DESC_THAI>แสดงขึ้นหน้าแรก</DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>1</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<DEFAULTVALUE>1</DEFAULTVALUE>
				<VALIDCODE>SHOWPOPUP</VALIDCODE>
				<ALT_ENG>Display on first page</ALT_ENG>
				<ALT_THAI>แสดงขึ้นหน้าแรก</ALT_THAI>
			</COMPONENT>
		</ISDISPLAY>

		<ANNOUNCER lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>Recorded By</DESC_ENG>
			<DESC_THAI>ผู้บันทึก</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Recorded By</ALT_ENG>
				<ALT_THAI>ผู้บันทึก</ALT_THAI>
			</COMPONENT>
		</ANNOUNCER>
		<ANNOUNCENAME lang="A" encrypt="false" log="false" type="String">
			<WIDTH>50</WIDTH>
			<DESC_ENG>Announcer</DESC_ENG>
			<DESC_THAI>ผู้ประกาศ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>50</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>Announcer</ALT_ENG>
				<ALT_THAI>ผู้ประกาศ</ALT_THAI>
			</COMPONENT>
		</ANNOUNCENAME>
		<ANNOUNCEDATE lang="A" encrypt="false" log="false" type="Date">
			<WIDTH>12</WIDTH>
			<DESC_ENG>Recorded Date</DESC_ENG>
			<DESC_THAI>วันที่บันทึก</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>8</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Recorded Date</ALT_ENG>
				<ALT_THAI>วันที่บันทึก</ALT_THAI>
			</COMPONENT>
		</ANNOUNCEDATE>

		<EMAIL lang="A" encrypt="false" log="false" type="String">
			<WIDTH>100</WIDTH>
			<DESC_ENG>email</DESC_ENG>
			<DESC_THAI>อีเมล์แจ้งเมื่อหมดอายุ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>100</MAXSIZE>
				<SIZE>50</SIZE>
				<ALT_ENG>email</ALT_ENG>
				<ALT_THAI>อีเมล์แจ้งเมื่อหมดอายุ</ALT_THAI>
			</COMPONENT>
		</EMAIL>


	<DISPLAYSTARTDATE lang="A" encrypt="false" log="false" type="Date">
		<WIDTH>12</WIDTH>
		<DESC_ENG>Start Date</DESC_ENG>
		<DESC_THAI>ช่วงวันที่แสดง</DESC_THAI>
		<COMPONENT type="text">
			<SIZE>10</SIZE>
			<MAXSIZE>8</MAXSIZE>
			<ALT_ENG>Start Date</ALT_ENG>
			<ALT_THAI>ช่วงวันที่แสดง</ALT_THAI>
		</COMPONENT>
	</DISPLAYSTARTDATE>
	<DISPLAYENDDATE lang="A" encrypt="false" log="false" type="Date">
		<WIDTH>12</WIDTH>
		<DESC_ENG>End Date</DESC_ENG>
		<DESC_THAI>วันที่เลิกใช้</DESC_THAI>
		<COMPONENT type="text">
			<SIZE>10</SIZE>
			<MAXSIZE>8</MAXSIZE>
			<DEFAULTVALUE>05-02-2050</DEFAULTVALUE>
			<ALT_ENG>End Date</ALT_ENG>
			<ALT_THAI>วันที่เลิกใช้</ALT_THAI>
		</COMPONENT>
	</DISPLAYENDDATE>
	<USEDATE lang="A" encrypt="false" log="false" type="Date">
		<WIDTH>12</WIDTH>
		<DESC_ENG>Start Date</DESC_ENG>
		<DESC_THAI>วันที่เริ่มใช้</DESC_THAI>
		<COMPONENT type="text">
			<SIZE>10</SIZE>
			<MAXSIZE>8</MAXSIZE>
			<ALT_ENG>Start Date</ALT_ENG>
			<ALT_THAI>วันที่เริ่มใช้</ALT_THAI>
		</COMPONENT>
	</USEDATE>
	<ENDUSEDATE lang="A" encrypt="false" log="false" type="Date">
		<WIDTH>12</WIDTH>
		<DESC_ENG>End Date</DESC_ENG>
		<DESC_THAI>วันที่เลิกใช้</DESC_THAI>
		<COMPONENT type="text">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<DEFAULTVALUE>05-02-2050</DEFAULTVALUE>
			<ALT_ENG>End Date</ALT_ENG>
			<ALT_THAI>วันที่เลิกใช้</ALT_THAI>
		</COMPONENT>
	</ENDUSEDATE>
	<STATUS lang="A" encrypt="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>Status</DESC_ENG>
		<DESC_THAI>สถานะ</DESC_THAI>
		<COMPONENT type="radio">
			<SIZE>1</SIZE>
			<MAXSIZE>1</MAXSIZE>
			<DEFAULTVALUE>1</DEFAULTVALUE>
			<VALIDCODE>PROFILESTATUS</VALIDCODE>
			<ALT_ENG>Status</ALT_ENG>
			<ALT_THAI>สถานะ</ALT_THAI>				
		</COMPONENT>
	</STATUS>



	
	</FIELD>
	<RELATION>

		<MCOM_PROFILE_FILE>
			<PARENT>VW_COM_PROFILE.PROFILEID</PARENT>
			<PARENT>VW_COM_PROFILE.COMPANYID</PARENT>
			<CHILD>MCOM_PROFILE_FILE.PROFILEID</CHILD>
			<CHILD>MCOM_PROFILE_FILE.COMPANYID</CHILD>
		</MCOM_PROFILE_FILE>

	</RELATION>
</VW_COM_PROFILE>
